## python-fitbit 0.0.3

=== requirements.txt ===
oauth2>=1.5.211
requests>=0.14.0
python-dateutil>=1.5
requests-oauthlib

=== debian/changelog ===
python-fitbit (0.0.3-2) unstable; urgency=medium

  * Updated for upstream release 0.0.3.
  * Corrected doc-base Document field (Closes: #739107)

 -- Iain R. Learmonth <irl@fsfe.org>  Sat, 15 Feb 2014 21:14:13 +0000

python-fitbit (0.0.2-1) unstable; urgency=medium

  * Initial release. (Closes: #737566)

 -- Iain R. Learmonth <irl@fsfe.org>  Mon, 03 Feb 2014 21:22:10 +0000

=== debian/control ===
Source: python-fitbit
Section: python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>, Iain R. Learmonth <irl@fsfe.org>
Build-Depends: debhelper (>= 9), dh-python, python, python-setuptools, python-requests-oauthlib, python-oauth2, python-requests, python-dateutil, python-mock, python-sphinx (>= 1.0.7+dfsg-1~) , python-docutils
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/python-fitbit.git
Vcs-Git: git://anonscm.debian.org/debian-med/python-fitbit.git
Homepage: https://github.com/orcasgit/python-fitbit/
X-Python-Version: >= 2.6

Package: python-fitbit
Architecture: all
Depends: ${python:Depends}, ${sphinxdoc:Depends}, ${misc:Depends}, libjs-jquery, libjs-underscore
Description: FitBit REST API Client Implementation
 A Python module containing an implementation of a client for the FitBit
 REST API. It uses OAuth for authentication, it supports both US and SI
 units.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=fitbit

override_dh_auto_build: 
	dh_auto_build 
	PYTHONPATH=. http_proxy='localhost' sphinx-build -N -bhtml docs/ build/html  # HTML generator
	rm build/html/_static/jquery.js # Remove JQuery, this is linked in d/*.links
	rm build/html/_static/underscore.js # Remove underscore, this is linked in d/*.links
%:
	dh $@ --with python2 --buildsystem=pybuild

=== debian/watch ===
version=3
https://github.com/orcasgit/python-fitbit/tags .*/v?(\d\S*)\.tar\.gz

## python-fitbit 0.1.0

=== debian/changelog ===
python-fitbit (0.1.0-1) unstable; urgency=medium

  * Updated for upstream release 0.1.0.

 -- Iain R. Learmonth <irl@fsfe.org>  Tue, 03 Jun 2014 18:48:35 +0100

=== debian/control ===
Source: python-fitbit
Section: python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>, Iain R. Learmonth <irl@fsfe.org>
Build-Depends: debhelper (>= 9), dh-python, python, python-setuptools, python-requests-oauthlib, python-dateutil, python-mock, python-sphinx (>= 1.0.7+dfsg-1~) , python-docutils, python-tox, python-coverage
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/python-fitbit.git
Vcs-Git: git://anonscm.debian.org/debian-med/python-fitbit.git
Homepage: https://github.com/orcasgit/python-fitbit/
X-Python-Version: >= 2.6

Package: python-fitbit
Architecture: all
Depends: ${python:Depends}, ${sphinxdoc:Depends}, ${misc:Depends}, libjs-jquery, libjs-underscore, python-dateutil, python-requests-oauthlib
Description: FitBit REST API Client Implementation
 A Python module containing an implementation of a client for the FitBit
 REST API. It uses OAuth for authentication, it supports both US and SI
 units.

## python-fitbit 0.1.2

=== debian/changelog ===
python-fitbit (0.1.2-1) unstable; urgency=medium

  * Updated for upstream release 0.1.2.
  * Update to Debian Standards Version 3.9.6.
  * Update VCS browser URL for new VCS browser.

 -- Iain R. Learmonth <irl@fsfe.org>  Fri, 26 Sep 2014 20:01:09 +0100

=== debian/control ===
Source: python-fitbit
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Iain R. Learmonth <irl@fsfe.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python,
               python-setuptools,
               python-requests-oauthlib,
               python-dateutil,
               python-mock,
               python-sphinx (>= 1.0.7+dfsg-1~),
               python-docutils,
               python-tox,
               python-coverage
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-fitbit.git
Vcs-Git: git://anonscm.debian.org/debian-med/python-fitbit.git
Homepage: https://github.com/orcasgit/python-fitbit/
X-Python-Version: >= 2.6

Package: python-fitbit
Architecture: all
Depends: ${python:Depends},
         ${sphinxdoc:Depends},
         ${misc:Depends},
         libjs-jquery,
         libjs-underscore,
         python-dateutil,
         python-requests-oauthlib
Description: FitBit REST API Client Implementation
 A Python module containing an implementation of a client for the FitBit
 REST API. It uses OAuth for authentication, it supports both US and SI
 units.

## python-fitbit 0.1.3

=== debian/changelog ===
python-fitbit (0.1.3-2) unstable; urgency=medium

  * Replace tox by nose to avoid creating a virtualenv and downloading
    remote data (Closes: #796538). 

 -- Olivier Sallou <osallou@debian.org>  Sat, 22 Aug 2015 13:17:43 +0000

python-fitbit (0.1.3-1) unstable; urgency=medium

  * Updated for upstream release 0.1.3.

 -- Iain R. Learmonth <irl@fsfe.org>  Sun, 08 Feb 2015 00:46:51 +0000

python-fitbit (0.1.2-2) unstable; urgency=medium

  * Delete caches from Sphinx documentation allowing for reproducible builds.

 -- Iain R. Learmonth <irl@fsfe.org>  Wed, 04 Feb 2015 23:41:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-fitbit
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
-           Iain R. Learmonth <irl@fsfe.org>
+           Iain R. Learmonth <irl@fsfe.org>,
+           Olivier Sallou <osallou@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 9),
@@ -13,7 +14,7 @@
                python-mock,
                python-sphinx (>= 1.0.7+dfsg-1~),
                python-docutils,
-               python-tox,
+               python-nose,
                python-coverage
 Standards-Version: 3.9.6
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-fitbit.git

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,11 @@
 override_dh_auto_build: 
 	dh_auto_build 
 	PYTHONPATH=. http_proxy='localhost' sphinx-build -N -bhtml docs/ build/html  # HTML generator
+	rm -rf build/html/.doctrees
 	rm build/html/_static/jquery.js # Remove JQuery, this is linked in d/*.links
 	rm build/html/_static/underscore.js # Remove underscore, this is linked in d/*.links
 %:
 	dh $@ --with python2 --buildsystem=pybuild
 
+override_dh_auto_test:
+	nosetests

## python-fitbit 0.2

=== debian/changelog ===
python-fitbit (0.2-1) unstable; urgency=medium

  * Imported Upstream version 0.2
  * Tests are disabled during build, they require network access.
  * debian/control:
   - Standards version updated to 3.9.7
   - Changed my email address to irl@debian.org
   - Removed versioned dependency for python-sphinx
   - Vcs-* fields changed to secure URIs

 -- Iain R. Learmonth <irl@debian.org>  Mon, 04 Apr 2016 19:17:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-fitbit
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
-           Iain R. Learmonth <irl@fsfe.org>,
+           Iain R. Learmonth <irl@debian.org>,
            Olivier Sallou <osallou@debian.org>
 Section: python
 Priority: optional
@@ -12,13 +12,13 @@
                python-requests-oauthlib,
                python-dateutil,
                python-mock,
-               python-sphinx (>= 1.0.7+dfsg-1~),
+               python-sphinx,
                python-docutils,
                python-nose,
                python-coverage
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-fitbit.git
-Vcs-Git: git://anonscm.debian.org/debian-med/python-fitbit.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/python-fitbit.git
 Homepage: https://github.com/orcasgit/python-fitbit/
 X-Python-Version: >= 2.6

## python-fitbit 0.2.3

=== debian/changelog ===
python-fitbit (0.2.3-1) unstable; urgency=medium

  * Imported new upstream version 0.2.3
  * debian/control:
   - Added versioned dependency on python-requests-oauthlib (Closes: #823842)

 -- Iain R. Learmonth <irl@debian.org>  Sun, 18 Sep 2016 12:35:48 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-python,
                python,
                python-setuptools,
-               python-requests-oauthlib,
+               python-requests-oauthlib (>= 0.6.1),
                python-dateutil,
                python-mock,
                python-sphinx,

## python-fitbit 0.2.4

=== debian/changelog ===
python-fitbit (0.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Update Uploaders: Add myself and remove previous ones.
  * Bump Standards-Version to 3.9.8.
  * Update d/copyright.
  * Remove obsolete X-Python-Version field.
  * Update watch file to v4.
  * Update debhelper compat to 10.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Fri, 09 Dec 2016 22:38:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: python-fitbit
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>,
-           Iain R. Learmonth <irl@debian.org>,
-           Olivier Sallou <osallou@debian.org>
+Uploaders: Dylan Aïssi <bob.dybian@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                python,
                python-setuptools,
@@ -16,11 +14,10 @@
                python-docutils,
                python-nose,
                python-coverage
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-fitbit.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/python-fitbit.git
 Homepage: https://github.com/orcasgit/python-fitbit/
-X-Python-Version: >= 2.6
 
 Package: python-fitbit
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,4 @@
 	dh $@ --with python2 --buildsystem=pybuild
 
 override_dh_auto_test:
-	nosetests
+	echo "Skipping tests: Tests require network access..."

## python-fitbit 0.3.0

=== debian/changelog ===
python-fitbit (0.3.0-3) unstable; urgency=medium

  * Add python-fitbit-doc: missing Breaks+Replaces: python-fitbit (<< 0.3.0-2)
     (Closes: #891024).

 -- Dylan Aïssi <bob.dybian@gmail.com>  Wed, 21 Feb 2018 21:36:43 +0100

python-fitbit (0.3.0-2) unstable; urgency=medium

  * Move documentation into a new package python-fitbit-doc.
  * Bump Standards-Version: 4.1.3 (no changes needed).
  * Update debhelper compat to 11.
  * Build new package python3-fitbit (Python 3).
  * Remove Build-Depends required by disabled tests.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Fri, 16 Feb 2018 22:55:38 +0100

python-fitbit (0.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright 2017.
  * Update Build-Depends:
   - python-requests-oauthlib (>= 0.7)
   - python-freezegun (>= 0.3.8)
   - python-requests-mock (>= 1.2.0)
  * debian/{changelog,rules}: Remove trailing whitespace characters.
  * Bump Standards-Version: 4.1.1 (no changes needed).

 -- Dylan Aïssi <bob.dybian@gmail.com>  Sat, 11 Nov 2017 23:48:45 +0100

=== debian/control ===
Source: python-fitbit
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Dylan Aïssi <bob.dybian@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python,
               python-setuptools,
               python-requests-oauthlib (>= 0.7),
               python-dateutil,
               python-docutils,
               python-nose,
# Tests are disabled
#               python-mock,
#               python-coverage,
#               python-freezegun (>= 0.3.8),
#               python-requests-mock (>= 1.2.0),
               python3,
               python3-setuptools,
               python3-requests-oauthlib (>= 0.7),
               python3-dateutil,
               python3-sphinx,
               python3-docutils,
               python3-nose,
# Tests are disabled
#               python3-mock,
#               python3-coverage,
#               python3-freezegun (>= 0.3.8),
#               python3-requests-mock (>= 1.2.0)
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-fitbit.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/python-fitbit.git
Homepage: https://github.com/orcasgit/python-fitbit/

Package: python-fitbit
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-dateutil,
         python-requests-oauthlib
Description: FitBit REST API Client Implementation - Python 2
 A Python module containing an implementation of a client for the FitBit
 REST API. It uses OAuth for authentication, it supports both US and SI
 units.
 .
 This package contains the Python 2 module.

Package: python3-fitbit
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-dateutil,
         python3-requests-oauthlib
Description: FitBit REST API Client Implementation - Python 3
 A Python module containing an implementation of a client for the FitBit
 REST API. It uses OAuth for authentication, it supports both US and SI
 units.
 .
 This package contains the Python 3 module.

Package: python-fitbit-doc
Section: doc
Architecture: all
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Replaces: python-fitbit (<< 0.3.0-2)
Breaks: python-fitbit (<< 0.3.0-2)
Description: FitBit REST API Client Implementation - Documentation
 A Python module containing an implementation of a client for the FitBit
 REST API. It uses OAuth for authentication, it supports both US and SI
 units.
 .
  This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=fitbit

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='localhost' sphinx-build -N -bhtml docs/ build/html # HTML generator

override_dh_auto_test:
	echo "Skipping tests: Tests require network access..."

## python-fitbit 0.3.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Python-Fitbit.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Python-Fitbit.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Python-Fitbit"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Python-Fitbit"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-fitbit (0.3.1-2) unstable; urgency=medium

  * Team upload.
  * Drop Python2 support
    Closes: #937755
  * debhelper-compat 12
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target

 -- Andreas Tille <tille@debian.org>  Wed, 04 Sep 2019 13:25:02 +0200

python-fitbit (0.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version: 4.4.0 (no changes needed).

 -- Dylan Aïssi <daissi@debian.org>  Fri, 12 Jul 2019 20:30:59 +0200

python-fitbit (0.3.0-4) unstable; urgency=medium

  * Add Testsuite: autopkgtest-pkg-python
  * Bump Standards-Version: 4.2.1.
  * Fix VCS fields (salsa migration).
  * Mark python-fitbit-doc as "Multi-Arch: foreign".

 -- Dylan Aïssi <bob.dybian@gmail.com>  Sun, 16 Sep 2018 10:45:29 +0200

=== debian/control ===
Source: python-fitbit
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Dylan Aïssi <daissi@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3,
               python3-setuptools,
               python3-requests-oauthlib (>= 0.7),
               python3-dateutil,
               python3-sphinx,
               python3-docutils,
               python3-nose
# Tests are disabled
#               python3-mock,
#               python3-coverage,
#               python3-freezegun (>= 0.3.8),
#               python3-requests-mock (>= 1.2.0)
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/med-team/python-fitbit
Vcs-Git: https://salsa.debian.org/med-team/python-fitbit.git
Homepage: https://github.com/orcasgit/python-fitbit/

Package: python3-fitbit
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-dateutil,
         python3-requests-oauthlib
Description: FitBit REST API Client Implementation - Python 3
 A Python module containing an implementation of a client for the FitBit
 REST API. It uses OAuth for authentication, it supports both US and SI
 units.
 .
 This package contains the Python 3 module.

Package: python-fitbit-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Breaks: python-fitbit (<< 0.3.0-2)
Replaces: python-fitbit (<< 0.3.0-2)
Description: FitBit REST API Client Implementation - Documentation
 A Python module containing an implementation of a client for the FitBit
 REST API. It uses OAuth for authentication, it supports both US and SI
 units.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=fitbit

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='localhost' sphinx-build -N -bhtml docs/ build/html # HTML generator

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "Skipping tests: Tests require network access..."
endif

=== debian/watch ===
version=4
https://github.com/orcasgit/python-fitbit/tags .*/v?(\d\S*)\.tar\.gz
